Summary: Red Hat X Window System Configuration tool.
Name: Xconfigurator
%define version 3.58
Version: %{version}
Release: 2
Copyright: distributable
Group: X11/Utilities
Source: Xconfigurator-%{PACKAGE_VERSION}.tar.gz
Requires: initscripts >= 3.60
Buildroot: /var/tmp/Xconfigurator-root
Excludearch: sparc
Summary(de): X-Window-Systemkonfigurations-Tool von Red Hat
Summary(fr): L'outil Red Hat de configuration du systme X Window.
Summary(tr): Red Hat X Window Sistemi yaplandrma arac

%description
This is the Red Hat X Configuration tool.  It is based on the sources
for xf86config, a utility from XFree86.  It has a nicer user interface
added to make it easier for the end user. 

NOTE - use mouseconfig to change your mouse type, then re-run Xconfigurator 
to set X up for your new mouse type.

%description -l de
Das Red-Hat-X-Konfigurations-Tool. Es basiert auf den Quellen fr 
xf86config, einem Utility von Xfree86, hat jedoch eine attraktivere, 
leichter zu bedienende Oberflche.
HINWEIS: Benutzen Sie mouseconfig zum ndern des Maustyps und fhren Sie 
dann Xconfigurator zum Anpassen von X auf den neuen Maustyp erneut aus.

%description -l fr
Outil de configuration X de Red Hat. Il est bas sur les sources de
xf86config, un utilitaire de XFree86. Il offre une interface plus agrable
qui le rend plus facile  utiliser pour l'utilisateur final.

%description -l tr
Red Hat'in gelitirdii bu arata XFree86 iin yazlm olan xf86config
isimli programn kaynak kodlar temel alnmtr. Son kullancya ynelik
daha sevimli bir kullanc arayz salar.
NOT - Fare tipini deitirmek iin mouseconfig aracn kullann. Daha sonra
yeniden Xconfigurator altrarak X'in farenizi tanmasn salayabilirsiniz.

%changelog
* Thu May 14 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu May 14 1998 Cristian Gafton <gafton@redhat.com>
- fixed alpha version

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- use /sbin/setsysfont to restore the system font
- added tr, no, cz, de, no, fr translations (maybe a couple of others)

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>

- include translations in build

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>

- updated for new newt, i18n-ready
- removed tons of extraneous code
- doesn't use imake anymore
- buildrooted
- moved monitor database to /usr/X11R6/share
- requires X11R6 > 3.3.2 rather then xserver-wrapper

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>

- don't install /usr/X11R6/bin/X symlink, just require xserver-wrapper instead

* Sun Nov  9 1997 Michael Fulbright <msf@redhat.com>

- fixed --pick/--continue and --expert interaction

* Sat Nov 08 1997 Erik Troan <ewt@redhat.com>

- added checks for bad parameters

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>

- added new video card entries from 2.0.31 kernel pci.c

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>

- changed /etc/X11/X symlink to be relative, not absolute

* Thu Oct 30 1997 Michael Fulbright <msf@redhat.com>

- fixed VGA16 kickstart support
- fixed version string

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>

- Fixed Mach64 autoprobing problems
- Added more user options when selecting from autoprobed video modes

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- fixed handling of temp files to be more safe
- added option for interactive mode to autoprobe ram,color depth, etc.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>

- made 'Unlisted Card' work again
- added more monitors
- added a beta man page

* Thu Oct  2 1997 Michael Fulbright <msf@redhat.com>

- added generic monitor types

* Wed Oct  1 1997 Michael Fulbright <msf@redhat.com>

- made it run /etc/X11/X explicitely
- added --expert flag
- fixed memory allocation problem in SplitString()

* Tue Sep 30 1997 Michael Fulbright <msf@redhat.com>

- added kickstart support
- added PCI probing for PCI video card autodetection
- added use of --probeonly to get video card information

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
strip Xconfigurator
mkdir -p -m 0755 /usr/share/Xconfigurator
install -c -m 0755 MonitorsDB /usr/share/Xconfigurator

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README TODO
/usr/X11R6/bin/Xconfigurator
/usr/X11R6/share/Xconfigurator
/usr/X11R6/man/man1/Xconfigurator.1x
/usr/share/locale/*/LC_MESSAGES/Xconfigurator.mo
